Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.crash
Class CrashReportCategory

    java.lang.Object
      net.minecraft.crash.CrashReportCategory

    public class CrashReportCategory

extends Object

Constructor Summary
`CrashReportCategory(CrashReport par1CrashReport, String par2Str)`

Method Summary
`void` | `addCrashSection(String par1Str, Object par2Obj)` Adds a Crashreport section with the given name with the given value (convered .toString())
`void` | `addCrashSectionCallable(String par1Str, Callable par2Callable)` Adds a Crashreport section with the given name with the value set to the result of the given Callable;
`void` | `addCrashSectionThrowable(String par1Str, Throwable par2Throwable)` Adds a Crashreport section with the given name with the given Throwable
`static void` | `func_85068_a(CrashReportCategory par0CrashReportCategory, int par1, int par2, int par3, int par4, int par5)`
`boolean` | `func_85069_a(StackTraceElement par1StackTraceElement, StackTraceElement par2StackTraceElement)`
`void` | `func_85070_b(int par1)`
`static String` | `func_85071_a(int par0, int par1, int par2)`
`void` | `func_85072_a(StringBuilder par1StringBuilder)`
`int` | `func_85073_a(int par1)`
`static String` | `func_85074_a(double par0, double par2, double par4)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrashReportCategory

    public CrashReportCategory(CrashReport par1CrashReport,
                               String par2Str)

Method Detail

### func_85074_a

    public static String func_85074_a(double par0,
                                      double par2,
                                      double par4)

### func_85071_a

    public static String func_85071_a(int par0,
                                      int par1,
                                      int par2)

### addCrashSectionCallable

    public void addCrashSectionCallable(String par1Str,
                                        Callable par2Callable)

  Adds a Crashreport section with the given name with the value set to the result of the given Callable;

### addCrashSection

    public void addCrashSection(String par1Str,
                                Object par2Obj)

  Adds a Crashreport section with the given name with the given value (convered .toString())

### addCrashSectionThrowable

    public void addCrashSectionThrowable(String par1Str,
                                         Throwable par2Throwable)

  Adds a Crashreport section with the given name with the given Throwable

### func_85073_a

    public int func_85073_a(int par1)

### func_85069_a

    public boolean func_85069_a(StackTraceElement par1StackTraceElement,
                                StackTraceElement par2StackTraceElement)

### func_85070_b

    public void func_85070_b(int par1)

### func_85072_a

    public void func_85072_a(StringBuilder par1StringBuilder)

### func_85068_a

    public static void func_85068_a(CrashReportCategory par0CrashReportCategory,
                                    int par1,
                                    int par2,
                                    int par3,
                                    int par4,
                                    int par5)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD